# vscode-dezyne --- A VSCode extension for Dezyne
#
# Copyright © 2021 Paul Hoogendijk <paul@dezyne.org>
#
# This file is part of vscode-dezyne.
#
# vscode-dezyne is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# vscode-dezyne is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNUGeneral Public License
# along with vscode-dezyne.  If not, see <http://www.gnu.org/licenses/>.
#
import json, sys
from plistlib import load

file_in = sys.path[0] + "/tm.plist"
file_out =sys.path[0] + "/syntaxes/dzn.tmLanguage.json" 
print("Converting file " + file_in)
with open(file_in, 'rb') as fp:
    foo = {"$schema": "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json"}
    foo.update(load(fp))

print("to file " + file_out)
with open(file_out, 'w') as fp:
    json.dump(foo, fp, indent=4)
